NX Open C++ Reference Guide
|
Represents a Features::ShipDesign::PenetrationAssociationBuilder builder
To create a new instance of this class, use Features::ShipDesign::PenetrationRequestCollection::CreatePenetrationAssociationBuilder
Created in NX8.0.0.
More...
Public Member Functions | |
void | AddAdjacentStructure (NXOpen::Body *adjacentStructure) |
Adds adjacent structures Created in NX8.5.0. | |
void | AddNonIntersectedStructure (NXOpen::Body *structure) |
Adds nonintersected structures Created in NX8.5.0. | |
void | AddRequest (NXOpen::Features::ShipDesign::PenetrationRequest *request) |
Adds request object Created in NX8.5.0. | |
void | AddSelectedCurve (NXOpen::Body *curve) |
Adds selected curves Created in NX8.5.0. | |
void | ButtonCutout () |
Used to open the cutout dialog Created in NX8.0.0. | |
NXOpen::Expression * | CornerRadius () |
Returns the corner radius expression Created in NX8.5.0. | |
NXOpen::Features::ShipDesign::PenetrationRequest::CoutoutType | CoutoutType () |
Returns the coutout type Created in NX8.5.0. | |
NXOpen::Part * | CutoutPart () |
Returns the cutout part Created in NX8.5.0. | |
NXOpen::Expression * | Diameter () |
Returns the diameter expression Created in NX8.5.0. | |
NXOpen::Features::ShipDesign::PenetrationRequest::DirectionType | DirectionType () |
Returns the direction Created in NX8.5.0. | |
NXOpen::Expression * | Height () |
Returns the height expression Created in NX8.5.0. | |
bool | IsEditMode () |
Returns the flag to decide if it's requests association or associated requests editing Created in NX8.5.0. | |
bool | IsKeepAssociation () |
Returns the flag to decide whether to keep association Created in NX8.5.0. | |
NXOpen::Sketch * | ModifiedSketch () |
Returns the modified sketch Created in NX8.5.0. | |
NXOpen::Expression * | Offset () |
Returns the offset expression Created in NX8.5.0. | |
NXOpen::Point * | Point () |
Returns the penetration point Created in NX8.0.0. | |
NXOpen::Expression * | Radius () |
Returns the radius expression Created in NX8.5.0. | |
void | RemoveNonIntersectedStructures () |
Removes all nonintersected structures Created in NX8.5.0. | |
void | RemoveSelectedCurves () |
Removes all selected curves Created in NX8.5.0. | |
void | SetCompensationPartNumber (const NXString &selectionCompensationNumber) |
The selection compensation Created in NX8.5.0. | |
void | SetCompensationPartNumber (const char *selectionCompensationNumber) |
The selection compensation Created in NX8.5.0. | |
void | SetCoutoutType (NXOpen::Features::ShipDesign::PenetrationRequest::CoutoutType enumCoutoutType) |
Sets the coutout type Created in NX8.5.0. | |
void | SetCutoutPart (NXOpen::Part *cutoutPart) |
Sets the cutout part Created in NX8.5.0. | |
void | SetDirectionType (NXOpen::Features::ShipDesign::PenetrationRequest::DirectionType enumDirection) |
Sets the direction Created in NX8.5.0. | |
void | SetEditMode (bool isEditMode) |
Sets the flag to decide if it's requests association or associated requests editing Created in NX8.5.0. | |
void | SetKeepAssociation (bool isKeepAssociation) |
Sets the flag to decide whether to keep association Created in NX8.5.0. | |
void | SetModifiedSketch (NXOpen::Sketch *modifiedSketch) |
Sets the modified sketch Created in NX8.5.0. | |
void | SetPoint (NXOpen::Point *point) |
Sets the penetration point Created in NX8.0.0. | |
void | SetSketchSection (NXOpen::Section *sectionSketch) |
Sets the sketch Created in NX8.5.0. | |
NXOpen::Section * | SketchSection () |
Returns the sketch Created in NX8.5.0. | |
NXOpen::Expression * | Width () |
Returns the width expression Created in NX8.5.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Features::ShipDesign::PenetrationAssociationBuilder builder
To create a new instance of this class, use Features::ShipDesign::PenetrationRequestCollection::CreatePenetrationAssociationBuilder
Created in NX8.0.0.
void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::AddAdjacentStructure | ( | NXOpen::Body * | adjacentStructure | ) |
Adds adjacent structures
Created in NX8.5.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
adjacentStructure | adjacentstructure |
void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::AddNonIntersectedStructure | ( | NXOpen::Body * | structure | ) |
Adds nonintersected structures
Created in NX8.5.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
structure | structure |
void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::AddRequest | ( | NXOpen::Features::ShipDesign::PenetrationRequest * | request | ) |
Adds request object
Created in NX8.5.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
request | request |
void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::AddSelectedCurve | ( | NXOpen::Body * | curve | ) |
Adds selected curves
Created in NX8.5.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
curve | curve |
void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::ButtonCutout | ( | ) |
Used to open the cutout dialog
Created in NX8.0.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::CornerRadius | ( | ) |
Returns the corner radius expression
Created in NX8.5.0.
License requirements : None
NXOpen::Features::ShipDesign::PenetrationRequest::CoutoutType NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::CoutoutType | ( | ) |
Returns the coutout type
Created in NX8.5.0.
License requirements : None
NXOpen::Part* NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::CutoutPart | ( | ) |
Returns the cutout part
Created in NX8.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::Diameter | ( | ) |
Returns the diameter expression
Created in NX8.5.0.
License requirements : None
NXOpen::Features::ShipDesign::PenetrationRequest::DirectionType NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::DirectionType | ( | ) |
Returns the direction
Created in NX8.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::Height | ( | ) |
Returns the height expression
Created in NX8.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::IsEditMode | ( | ) |
Returns the flag to decide if it's requests association or associated requests editing
Created in NX8.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::IsKeepAssociation | ( | ) |
Returns the flag to decide whether to keep association
Created in NX8.5.0.
License requirements : None
NXOpen::Sketch* NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::ModifiedSketch | ( | ) |
Returns the modified sketch
Created in NX8.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::Offset | ( | ) |
Returns the offset expression
Created in NX8.5.0.
License requirements : None
NXOpen::Point* NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::Point | ( | ) |
Returns the penetration point
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::Radius | ( | ) |
Returns the radius expression
Created in NX8.5.0.
License requirements : None
void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::RemoveNonIntersectedStructures | ( | ) |
Removes all nonintersected structures
Created in NX8.5.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::RemoveSelectedCurves | ( | ) |
Removes all selected curves
Created in NX8.5.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::SetCompensationPartNumber | ( | const NXString & | selectionCompensationNumber | ) |
The selection compensation
Created in NX8.5.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
selectionCompensationNumber | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::SetCompensationPartNumber | ( | const char * | selectionCompensationNumber | ) |
The selection compensation
Created in NX8.5.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
selectionCompensationNumber | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::SetCoutoutType | ( | NXOpen::Features::ShipDesign::PenetrationRequest::CoutoutType | enumCoutoutType | ) |
Sets the coutout type
Created in NX8.5.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
enumCoutoutType | enumcoutouttype |
void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::SetCutoutPart | ( | NXOpen::Part * | cutoutPart | ) |
Sets the cutout part
Created in NX8.5.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
cutoutPart | cutoutpart |
void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::SetDirectionType | ( | NXOpen::Features::ShipDesign::PenetrationRequest::DirectionType | enumDirection | ) |
Sets the direction
Created in NX8.5.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
enumDirection | enumdirection |
void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::SetEditMode | ( | bool | isEditMode | ) |
Sets the flag to decide if it's requests association or associated requests editing
Created in NX8.5.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
isEditMode | iseditmode |
void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::SetKeepAssociation | ( | bool | isKeepAssociation | ) |
Sets the flag to decide whether to keep association
Created in NX8.5.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
isKeepAssociation | iskeepassociation |
void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::SetModifiedSketch | ( | NXOpen::Sketch * | modifiedSketch | ) |
Sets the modified sketch
Created in NX8.5.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
modifiedSketch | modifiedsketch |
void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::SetPoint | ( | NXOpen::Point * | point | ) |
Sets the penetration point
Created in NX8.0.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
point | point |
void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::SetSketchSection | ( | NXOpen::Section * | sectionSketch | ) |
Sets the sketch
Created in NX8.5.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
sectionSketch | sectionsketch |
NXOpen::Section* NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::SketchSection | ( | ) |
Returns the sketch
Created in NX8.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::Width | ( | ) |
Returns the width expression
Created in NX8.5.0.
License requirements : None